import * as glue from '@aws-cdk/aws-glue';
import * as cdk from '@aws-cdk/core';
/**
 * @experimental
 */
export interface IGlueTableProperties {
    /**
     * @experimental
     */
    tableName: string;
    /**
     * @experimental
     */
    description: string;
    /**
     * @experimental
     */
    partitionKeys: Array<glue.CfnTable.ColumnProperty | cdk.IResolvable> | cdk.IResolvable;
    /**
     * @experimental
     */
    columns: Array<glue.CfnTable.ColumnProperty | cdk.IResolvable> | cdk.IResolvable;
    /**
     * @experimental
     */
    parameters: {
        [param: string]: any;
    };
    /**
     * @experimental
     */
    databaseName: string;
    /**
     * @experimental
     */
    s3Location: string;
    /**
     * @experimental
     */
    serializationLibrary: string;
    /**
     * @experimental
     */
    serdeParameters: {
        [param: string]: any;
    };
    /**
     * @experimental
     */
    inputFormat: string;
    /**
     * @experimental
     */
    outputFormat: string;
    /**
     * @experimental
     */
    catalogId: string;
}
/**
 * @experimental
 */
export declare class GlueTable extends cdk.Construct {
    /**
     * @experimental
     */
    readonly table: glue.CfnTable;
    /**
     * @experimental
     */
    readonly tableName: string;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: IGlueTableProperties);
}
